Bug 138909 - (IT_53894) xinitrc bug causes kinput2 to be spawned twice
xinitrc bug causes kinput2 to be spawned twice
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: xinitrc (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks: 136201 132992
  Show dependency treegraph
 
Reported: 2004-11-11 16:42 EST by Steve Conklin
Modified: 2010-10-21 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2004-11-11 16:42:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
From IT#53894

Description of problem
 When /etc/X11/xinit/xinitrc.d/xinput is executed by startx,
 kinput2 is spawned twice. This makes one of two kinput2s to be killed.
 Rare case:
 If it's unfortunate, kinput2 which is connected to gnome-session is
killed
 and gnome cannot catch any keyboard input.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. set runlevel=3
2. login and type startx
3. sometimes, gnome will hang. (maybe on SMP system)
    

Actual Results:  Sometimes, Gnome hangs

Additional info:

From the issue:

It seems that xinput just has debugging code. But It should be
removed, I think.
For the workaround, please comment out the following 4 lines from
/etc/X11/xinit/xinitrc.d/xinput.

if which $XIM_PROGRAM >/dev/null 2>&1 ; then
 echo -n "XIM DEBUG: "
      $XIM_PROGRAM $XIM_ARGS&
fi
Comment 1 Havoc Pennington 2004-11-11 21:57:56 EST
Adding to DesktopCustomerList

This one looks pretty trivial, is it something we can put on the 2.1U7
milestone?
Comment 2 Fuchi Hideshi 2004-11-12 09:29:45 EST
Hi Havoc-san, Steve-san,

Thank you for your help. Yes, this is pretty trivial, so the customer
had closed the IT ticket. However, if possible, I'd like you to fix
this problem for other CJK customers and me :-)

The changelog of xinitrc-3.22-1 says as follows,

* Tue Apr 09 2002 Mike A. Harris <mharris@redhat.com> 3.22-1
- Made changes for Leon (removed debugging code from xinput, etc)

--- xinput.org  Thu Aug 23 01:29:23 2001
+++ xinput      Fri Nov 12 22:17:54 2004
@@ -111,10 +111,6 @@
     esac
 fi
 
-# Nice temporary file vulnerability.  If this is needed, use mkstemp
instead.  I 
-# find what it was used for so I am clobbering it.
-#echo $PREFERRED > /tmp/start.txt
-
 
 #
 # set a proper XIM program with respect to $XIM
@@ -193,8 +189,3 @@
 else
         which $XIM_PROGRAM > /dev/null 2>&1 && LANG=$tmplang
$XIM_PROGRAM $XIM_ARGS &
 fi
-
-if which $XIM_PROGRAM >/dev/null 2>&1 ; then
-  echo -n "XIM DEBUG: "
-       $XIM_PROGRAM $XIM_ARGS&
-fi

Thanks,
Fuchi
Comment 4 Mike A. Harris 2004-12-22 20:27:48 EST
Fix committed to CVS xinitrc-3.20.1 branched from 3.20 for RHEL 2.1.
Comment 7 Mike A. Harris 2005-01-17 06:07:18 EST
Setting to MODIFIED state, pending QA, etc.
Comment 8 John Flanagan 2005-04-28 11:54:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-701.html

Note You need to log in before you can comment on or make changes to this bug.